The Perl Advent Calendar needs more articles for 2022. Submit your idea today!
# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v6.012.
use strict;
use warnings;

use 5.010;

use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "Mojolicious Plugin for building JSON API compliant applications.",
  "AUTHOR" => "Ali Zia <ziali088\@gmail.com>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "Mojolicious-Plugin-JSONAPI",
  "LICENSE" => "perl",
  "MIN_PERL_VERSION" => "5.010",
  "NAME" => "Mojolicious::Plugin::JSONAPI",
  "PREREQ_PM" => {
    "Carp" => 0,
    "JSONAPI::Document" => "2.4",
    "Lingua::EN::Inflexion" => 0,
    "Mojo::Base" => 0
  },
  "TEST_REQUIRES" => {
    "Mojolicious::Lite" => 0,
    "Test::CPAN::Changes" => 0,
    "Test::MockObject" => 0,
    "Test::Mojo" => 0,
    "Test::Most" => 0,
    "Test::Pod" => 0
  },
  "VERSION" => "2.6",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Carp" => 0,
  "JSONAPI::Document" => "2.4",
  "Lingua::EN::Inflexion" => 0,
  "Mojo::Base" => 0,
  "Mojolicious::Lite" => 0,
  "Test::CPAN::Changes" => 0,
  "Test::MockObject" => 0,
  "Test::Mojo" => 0,
  "Test::Most" => 0,
  "Test::Pod" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);